FROM nginx:1.21-alpine

# Remove the default configuration file
RUN rm /etc/nginx/conf.d/default.conf

# Copy the custom configuration file
COPY nginx/nginx.conf /etc/nginx/conf.d/

# Set the working directory to the app directory
WORKDIR /var/www

# Copy the Symfony app files
COPY . .

# Expose port 80 to the Docker host
EXPOSE 80

# Start Nginx
CMD ["nginx", "-g", "daemon off;"]
